package com.sifang.modules.customer.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_accepting_report_stock")
public class CrmAcceptingReportStock {
    @Id
    private String id;
    private String componentSpec;
    private Integer componentNum;
    private BigDecimal capacity;
    private String otherImgs1;
    private String otherImgs2;
    private String otherImgs3;
    private String otherImgs4;
    private String dzjc1;
    private String dzjc2;
    private String zjImg1;
    private String zjImg2;
    private String zjImg3;
    private String zjImg4;
    private String zjImg5;
    private String componentImg1;
    private String componentImg2;
    private String componentImg3;
    private String componentImg4;
    private String sizeMeasureImgs;
    private String fixOtherImg;
    private String totalImgs;
    private String bwInnerImg;
    private String dcImgs;
    private String nbqZbImg;
    private String dqsbAnImgOne;
    private String nbqPlateImg;
    private String zjPlateImg;
    private String openWayVoltageImgs;
    private String jdImg1;
    private String jdImg2;
    private String jdImg3;
    private String jdImg4;
    private String jdImg5;
    private String jdImg6;
    private String safetyWarningImg;
    private String safetyDiscloseDocImg;
    private String discloseDocImg;
    private String yxImg;
    private String gebImg;
    private String gebImg2;
    private String dbImgs;
    private String zjReport;
    private String fixConclusion;
    private String mergeConclusion;
    private String zfFixConclusion;
    private String zfMergeConclusion;
    private String finalConclusion;
    private String createBy;
    private String creator;
    private Date createTime;
    private String updateBy;
    private String updater;
    private Date updateTime;
    private String fixAcceptBy;
    private String fixAcceptName;
    private Date fixAcceptTime;
    private String mergeAcceptBy;
    private String mergeAcceptName;
    private Date mergeAcceptTime;
    private String status;
    private String materialFixFlag;
    private String materialMergeFlag;
    private String powerCapacityUrl;
    private String otherFiles;
    private String supplementUrl;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComponentSpec() {
        return componentSpec;
    }

    public void setComponentSpec(String componentSpec) {
        this.componentSpec = componentSpec;
    }

    public Integer getComponentNum() {
        return componentNum;
    }

    public void setComponentNum(Integer componentNum) {
        this.componentNum = componentNum;
    }

    public BigDecimal getCapacity() {
        return capacity;
    }

    public void setCapacity(BigDecimal capacity) {
        this.capacity = capacity;
    }

    public String getOtherImgs1() {
        return otherImgs1;
    }

    public void setOtherImgs1(String otherImgs1) {
        this.otherImgs1 = otherImgs1;
    }

    public String getOtherImgs2() {
        return otherImgs2;
    }

    public void setOtherImgs2(String otherImgs2) {
        this.otherImgs2 = otherImgs2;
    }

    public String getOtherImgs3() {
        return otherImgs3;
    }

    public void setOtherImgs3(String otherImgs3) {
        this.otherImgs3 = otherImgs3;
    }

    public String getOtherImgs4() {
        return otherImgs4;
    }

    public void setOtherImgs4(String otherImgs4) {
        this.otherImgs4 = otherImgs4;
    }

    public String getDzjc1() {
        return dzjc1;
    }

    public void setDzjc1(String dzjc1) {
        this.dzjc1 = dzjc1;
    }

    public String getDzjc2() {
        return dzjc2;
    }

    public void setDzjc2(String dzjc2) {
        this.dzjc2 = dzjc2;
    }

    public String getZjImg1() {
        return zjImg1;
    }

    public void setZjImg1(String zjImg1) {
        this.zjImg1 = zjImg1;
    }

    public String getZjImg2() {
        return zjImg2;
    }

    public void setZjImg2(String zjImg2) {
        this.zjImg2 = zjImg2;
    }

    public String getZjImg3() {
        return zjImg3;
    }

    public void setZjImg3(String zjImg3) {
        this.zjImg3 = zjImg3;
    }

    public String getZjImg4() {
        return zjImg4;
    }

    public void setZjImg4(String zjImg4) {
        this.zjImg4 = zjImg4;
    }

    public String getZjImg5() {
        return zjImg5;
    }

    public void setZjImg5(String zjImg5) {
        this.zjImg5 = zjImg5;
    }

    public String getComponentImg1() {
        return componentImg1;
    }

    public void setComponentImg1(String componentImg1) {
        this.componentImg1 = componentImg1;
    }

    public String getComponentImg2() {
        return componentImg2;
    }

    public void setComponentImg2(String componentImg2) {
        this.componentImg2 = componentImg2;
    }

    public String getComponentImg3() {
        return componentImg3;
    }

    public void setComponentImg3(String componentImg3) {
        this.componentImg3 = componentImg3;
    }

    public String getComponentImg4() {
        return componentImg4;
    }

    public void setComponentImg4(String componentImg4) {
        this.componentImg4 = componentImg4;
    }

    public String getSizeMeasureImgs() {
        return sizeMeasureImgs;
    }

    public void setSizeMeasureImgs(String sizeMeasureImgs) {
        this.sizeMeasureImgs = sizeMeasureImgs;
    }

    public String getFixOtherImg() {
        return fixOtherImg;
    }

    public void setFixOtherImg(String fixOtherImg) {
        this.fixOtherImg = fixOtherImg;
    }

    public String getTotalImgs() {
        return totalImgs;
    }

    public void setTotalImgs(String totalImgs) {
        this.totalImgs = totalImgs;
    }

    public String getBwInnerImg() {
        return bwInnerImg;
    }

    public void setBwInnerImg(String bwInnerImg) {
        this.bwInnerImg = bwInnerImg;
    }

    public String getDcImgs() {
        return dcImgs;
    }

    public void setDcImgs(String dcImgs) {
        this.dcImgs = dcImgs;
    }

    public String getNbqZbImg() {
        return nbqZbImg;
    }

    public void setNbqZbImg(String nbqZbImg) {
        this.nbqZbImg = nbqZbImg;
    }

    public String getDqsbAnImgOne() {
        return dqsbAnImgOne;
    }

    public void setDqsbAnImgOne(String dqsbAnImgOne) {
        this.dqsbAnImgOne = dqsbAnImgOne;
    }

    public String getNbqPlateImg() {
        return nbqPlateImg;
    }

    public void setNbqPlateImg(String nbqPlateImg) {
        this.nbqPlateImg = nbqPlateImg;
    }

    public String getZjPlateImg() {
        return zjPlateImg;
    }

    public void setZjPlateImg(String zjPlateImg) {
        this.zjPlateImg = zjPlateImg;
    }

    public String getOpenWayVoltageImgs() {
        return openWayVoltageImgs;
    }

    public void setOpenWayVoltageImgs(String openWayVoltageImgs) {
        this.openWayVoltageImgs = openWayVoltageImgs;
    }

    public String getJdImg1() {
        return jdImg1;
    }

    public void setJdImg1(String jdImg1) {
        this.jdImg1 = jdImg1;
    }

    public String getJdImg2() {
        return jdImg2;
    }

    public void setJdImg2(String jdImg2) {
        this.jdImg2 = jdImg2;
    }

    public String getJdImg3() {
        return jdImg3;
    }

    public void setJdImg3(String jdImg3) {
        this.jdImg3 = jdImg3;
    }

    public String getJdImg4() {
        return jdImg4;
    }

    public void setJdImg4(String jdImg4) {
        this.jdImg4 = jdImg4;
    }

    public String getJdImg5() {
        return jdImg5;
    }

    public void setJdImg5(String jdImg5) {
        this.jdImg5 = jdImg5;
    }

    public String getJdImg6() {
        return jdImg6;
    }

    public void setJdImg6(String jdImg6) {
        this.jdImg6 = jdImg6;
    }

    public String getSafetyWarningImg() {
        return safetyWarningImg;
    }

    public void setSafetyWarningImg(String safetyWarningImg) {
        this.safetyWarningImg = safetyWarningImg;
    }

    public String getSafetyDiscloseDocImg() {
        return safetyDiscloseDocImg;
    }

    public void setSafetyDiscloseDocImg(String safetyDiscloseDocImg) {
        this.safetyDiscloseDocImg = safetyDiscloseDocImg;
    }

    public String getDiscloseDocImg() {
        return discloseDocImg;
    }

    public void setDiscloseDocImg(String discloseDocImg) {
        this.discloseDocImg = discloseDocImg;
    }

    public String getYxImg() {
        return yxImg;
    }

    public void setYxImg(String yxImg) {
        this.yxImg = yxImg;
    }

    public String getGebImg() {
        return gebImg;
    }

    public void setGebImg(String gebImg) {
        this.gebImg = gebImg;
    }

    public String getGebImg2() {
        return gebImg2;
    }

    public void setGebImg2(String gebImg2) {
        this.gebImg2 = gebImg2;
    }

    public String getDbImgs() {
        return dbImgs;
    }

    public void setDbImgs(String dbImgs) {
        this.dbImgs = dbImgs;
    }

    public String getZjReport() {
        return zjReport;
    }

    public void setZjReport(String zjReport) {
        this.zjReport = zjReport;
    }

    public String getFixConclusion() {
        return fixConclusion;
    }

    public void setFixConclusion(String fixConclusion) {
        this.fixConclusion = fixConclusion;
    }

    public String getMergeConclusion() {
        return mergeConclusion;
    }

    public void setMergeConclusion(String mergeConclusion) {
        this.mergeConclusion = mergeConclusion;
    }

    public String getZfFixConclusion() {
        return zfFixConclusion;
    }

    public void setZfFixConclusion(String zfFixConclusion) {
        this.zfFixConclusion = zfFixConclusion;
    }

    public String getZfMergeConclusion() {
        return zfMergeConclusion;
    }

    public void setZfMergeConclusion(String zfMergeConclusion) {
        this.zfMergeConclusion = zfMergeConclusion;
    }

    public String getFinalConclusion() {
        return finalConclusion;
    }

    public void setFinalConclusion(String finalConclusion) {
        this.finalConclusion = finalConclusion;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getFixAcceptBy() {
        return fixAcceptBy;
    }

    public void setFixAcceptBy(String fixAcceptBy) {
        this.fixAcceptBy = fixAcceptBy;
    }

    public String getFixAcceptName() {
        return fixAcceptName;
    }

    public void setFixAcceptName(String fixAcceptName) {
        this.fixAcceptName = fixAcceptName;
    }

    public Date getFixAcceptTime() {
        return fixAcceptTime;
    }

    public void setFixAcceptTime(Date fixAcceptTime) {
        this.fixAcceptTime = fixAcceptTime;
    }

    public String getMergeAcceptBy() {
        return mergeAcceptBy;
    }

    public void setMergeAcceptBy(String mergeAcceptBy) {
        this.mergeAcceptBy = mergeAcceptBy;
    }

    public String getMergeAcceptName() {
        return mergeAcceptName;
    }

    public void setMergeAcceptName(String mergeAcceptName) {
        this.mergeAcceptName = mergeAcceptName;
    }

    public Date getMergeAcceptTime() {
        return mergeAcceptTime;
    }

    public void setMergeAcceptTime(Date mergeAcceptTime) {
        this.mergeAcceptTime = mergeAcceptTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMaterialFixFlag() {
        return materialFixFlag;
    }

    public void setMaterialFixFlag(String materialFixFlag) {
        this.materialFixFlag = materialFixFlag;
    }

    public String getMaterialMergeFlag() {
        return materialMergeFlag;
    }

    public void setMaterialMergeFlag(String materialMergeFlag) {
        this.materialMergeFlag = materialMergeFlag;
    }

    public String getPowerCapacityUrl() {
        return powerCapacityUrl;
    }

    public void setPowerCapacityUrl(String powerCapacityUrl) {
        this.powerCapacityUrl = powerCapacityUrl;
    }

    public String getOtherFiles() {
        return otherFiles;
    }

    public void setOtherFiles(String otherFiles) {
        this.otherFiles = otherFiles;
    }

    public String getSupplementUrl() {
        return supplementUrl;
    }

    public void setSupplementUrl(String supplementUrl) {
        this.supplementUrl = supplementUrl;
    }
}
